Workspace/Role
Esta página no está disponible en español. Se muestra la versión en inglés.
List system + custom roles of a workspace
Returns system roles (Owner, Administrator, ...) AND every custom role defined for this workspace. `id` is `auth_item.name`. For system roles `name` = the system name; for custom roles `name` = the workspace-defined display name.
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Path Parameters
id*string
Workspace UUID
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/roles"{ "roles": [ { "id": "Owner", "name": "Owner", "isSystem": true, "priority": 800, "permissions": [ "SourceIndex" ], "usersCount": 3 } ]}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Page not found" }}